Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Google calendar plugin for opensync synchronization framework library
Name:		libopensync-plugin-google-calendar
Version:	0.36
Release:	1
License:	GPL
URL: 		http://www.opensync.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  glib-devel
BuildRequires:  libxml2-devel
BuildRequires:  libopensync-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
OpenSync is a synchronization framework that is platform and distribution independent. It consists of a powerful sync-engine and several plugins that can be used to connect to devices.
OpenSync is very flexible and capable of synchronizing any type of data, including contacts, calendar, tasks, notes and files.

This plugin allows applications using OpenSync to synchronise to and from Google calendar.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%_prefix
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
%{_libdir}/opensync-1.0/google-cal-helper
%{_libdir}/opensync-1.0/plugins/gcalendar.so
%{_datadir}/opensync-1.0/defaults/google-calendar
%{_datadir}/opensync-1.0/capabilities/google-calendar-gcal-2005.xml
%{_datadir}/opensync-1.0/descriptions/google-calendar.xml

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.36-1
- Initial CCux package release

